Summary:	The Insidious Big Brother Database
Name:		bbdb
Version:	2.36
Release:	%mkrel 3
License:	GPL
Group:		Editors

Source:		ftp://ftp.sourceforge.net/pub/sourceforge/bbdb/%name-%version.tar.bz2
# http://mail-index.netbsd.org/pkgsrc-bugs/2011/05/13/msg042951.html
Patch0:		bbdb-2.36-fix_build.patch

URL:		http://bbdb.sourceforge.net/
BuildRequires:	emacs texinfo xemacs
BuildArch:	noarch
%define lispdir	%{_datadir}/emacs/site-lisp/bbdb
%define texdir	%{_datadir}/texmf/tex/plain/bbdb

%description
BBDB is a rolodex-like database program for GNU Emacs which is tightly
integrated with the Emacs mail and news readers (Gnus, MH-E, and
RMAIL.)

%prep
%setup -q
%patch0 -p1 -b .fix_build
perl -pi -e 's:^#!/usr/local/bin/perl5?:#!/usr/bin/perl:' utils/*.pl

%build
%configure
make bbdb rmail mhe gnus info

%install
install -d %{buildroot}/%{lispdir}
install -m 644 lisp/bbdb*.el %{buildroot}/%{lispdir}
install -m 644 lisp/bbdb*.elc %{buildroot}/%{lispdir}

install -d %{buildroot}%{_infodir}
install -m 644 texinfo/bbdb.info* %{buildroot}/%{_infodir}

install -d %{buildroot}/%{texdir}
install -m 644 tex/*.tex %{buildroot}/%{texdir}

install -d %{buildroot}/%{_bindir}
install -m 755 utils/*.pl %{buildroot}/%{_bindir}

install -d %{buildroot}/%{_sysconfdir}/emacs/site-start.d
cat << EOF > %{buildroot}/%{_sysconfdir}/emacs/site-start.d/%{name}-init.el
(add-to-list 'load-path "%{lispdir}")

;(require 'bbdb)

; Since the syntax-checking of phone numbers only works with American
; phone numbers the syntax-checking is disabled by default.
(setq bbdb-north-american-phone-numbers-p nil)

; Set the coding system in order to prevent problems with non-ASCII
; characters.  The available coding systems can be displayed with
; (list-coding-systems).
;(modify-coding-system-alist 'file "\\.bbdb" 'emacs-mule)

;(bbdb-initialize 'gnus 'mh-e 'rmail 'sendmail 'message 'sc 'w3)
EOF

%post
%_install_info %{name}.info
if [ -x %{_bindir}/texhash -a -e %{_datadir}/texmf/ls-R ]; then
	%{_bindir}/texhash
fi

%postun
%_remove_install_info %{name}.info

%files
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}-init.el
%{lispdir}/*
%{texdir}/*.tex
%{_bindir}/*
%doc %{_infodir}/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.36-3.mga3
+ Revision: 346878
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 sander85 <sander85> 2.36-2.mga3
+ Revision: 275360
- Add back BR for xemacs which is now in the repos
- Add patch from NetBSD to fix build

* Tue Sep 06 2011 tv <tv> 2.36-1.mga2
+ Revision: 139249
- new release

* Wed Feb 16 2011 blino <blino> 2.35-7.mga1
+ Revision: 52140
- do not buildrequire xemacs for now
- imported package bbdb

